PS3 ELF/SELF/PRX/SPRX PPU Loader Update for IDA v5.2 out!

400°
256w ago - Today xorloser has posted an update to his previous PS3 ELF/SELF/PRX/SPRX PPU Loader for IDA v5.2.

To quote: I've been busy digging into the PS3 lately, I decided it's finally time to see what secrets can be extracted from it. During my investigations I found that level-1 syscalls, a.k.a. hypercalls, are not handled by IDA so I decided to add support for it to the existing PPC Altivec plugin. Get the updated plugins and copy them to your "IDAplugins" directory to install them.

Download: PS3 ELF/SELF/PRX/SPRX PPU Loader Update for IDA v5.2

For those who don't know, level-1 syscalls are used to call hypervisor functions. On a PS3 the hypervisor is known as as "lv1″ (level1) since it is the lowest level that runs directly on top of the hardware.

The operating system is executed on top of this and is known as "lv2″ (level2). The two common operating systems are GameOS which PS3 games run on, and OtherOS which is usually used to run linux.

Since both OSes run on top of the same lv1 hypervisor, they use...
 

PS3 ELF/SELF/PRX/SPRX PPU Loader v1.1 for IDA v5.2 out!

200°
301w ago - To quote from xorloser's Web site linked above:

This is a PS3 loader for IDA, it lets you open PS3 elf/self/prx/sprx files in IDA. I highly recommend you use this with the PPC-Altivec plug-in also available on this site.

Download: PS3 ELF/SELF/PRX/SPRX PPU Loader v1.1 for IDA v5.2

THIS DOES NOT DECRYPT ANY FILES !!!! That means that for now this loader will ONLY work on unencrypted files. There are a few such files "in the wild" that have been found on Sony update servers and such.

As well as loading the supported PS3 filetypes in both 32bit and 64bit vesions of IDA this also resolves and sets up all imports, exports and syscalls. It also only supports PS3 PPU files as the PS3 SPU CPU is not supported by IDA at this time.
 







Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News